%global pkgname Tapper

Name:           perl-Tapper
Version:        4.1.1
Release:        6%{?dist}
Summary:        A flexible and open test infrastructure
License:        BSD
Url:            http://search.cpan.org/dist/Tapper/
Source0:        http://www.cpan.org/authors/id/T/TA/TAPPER/%{pkgname}-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

%description
Tapper is a modular, flexible and open test infrastructure. Its only primary 
assumption is the ubiquitous use of the Test Anything Protocol (TAP). 
Internally it is based on technology known from the CPAN testing 
infrastructure, extending it with automation and advanced querying.

%prep
%setup -qn %{pkgname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes Changes-3.0.md Changes-4.0.md Changes-4.1.md LICENSE META.json README Starterpage.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 4.1.1-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 4.1.1-3
- Perl 5.18 rebuild

* Tue Jul 02 2013 Christopher Meng <rpm@cicku.me> - 4.1.1-2
- Fix incorrect license.
- Cleanup.

* Fri Nov 30 2012 Christopher Meng <rpm@cicku.me> - 4.1.1-1
- Initial Package.
